Dect phone models
List DECT phone models.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
OK
application/json
4XX
Error
get/dect_phone_models
GET /api/dect_phone_models HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"filename": "text",
"model": "text",
"lines": 1,
"display_name": "text"
}
]
}Retrieve details of DECT phone model.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
namestringRequired
Template XML file name for phone provisioning.
Responses
200
OK
application/json
templatestringOptional
Template XML file name for phone provisioning.
tonesstring[]Optional
A collection of ringtones.
time_zonesstring[]Optional
A collection of time zones.
codecsstring[]Optional
Settings for the priority of the codecs in this phone. This indicates the first preferred codec.
linesintegerRead-onlyOptional
The max lines of DECT phone.
4XX
Error
get/dect_phone_models/{name}
GET /api/dect_phone_models/{name} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"template": "text",
"languages": [
"ENGLISH"
],
"tones": [
"text"
],
"time_zones": [
"text"
],
"codecs": [
"text"
],
"lines": 1
}Was this helpful?